#include<bits/stdc++.h>
using namespace std;
int main()
{
    int v;
    cin>>v;
    int o,c,br;
    if(v==1){
        cout<<1;
        return 0;
    }
    if(v==2){
        cout<<1;
        return 0;}
         if(v==5){
        cout<<1;
        return 0;
    }
     if(v==3){
        cout<<2;
        return 0;
    }
     if(v==4){
        cout<<2;
        return 0;
    }
    if(v%5==0){
        br=v/5;
        cout<<br;
    }





    if(v>5){
        o=v/5;
        c=v%5;

        if(c==1){
            br=o+1;
        }
        if(c==2){
            br=o+1;
        }
        if(c==3){
            br=o+2;
        }
        if(c==4){
            br=o+2;
        }
        cout<<br;
    }



}